#!/bin/gnuplot

# Check if the separator is a "," or ";". We want to have at least two columns, so we'll test:
sep=","
set datafile separator sep

fn="../plots_kpi/_OVERALL_USAGE.csv"

set ylabel "Weighted KPI"

MP_LEFT = .03
MP_RIGHT = .97
MP_BOTTOM = .35
MP_TOP = .93
MP_xGAP = 0.1
MP_yGAP = 0.02

set xtics rotate by 90
set xtics textcolor rgbcolor "black" offset 0,-12

set style fill solid 1.00
set style histogram clustered gap 1

set grid


# Plotting (once to pdf, once to svg)
do for [IDX = 0:1] {
    if (IDX==0) {
        set terminal pdf  color noenhanced size 20,7 dashed
        set output '../plots_kpi/_OVERALL_USAGE_overview.pdf'
    } else {
        set terminal svg noenhanced size 1500,750
        set output '../plots_kpi/_OVERALL_USAGE_overview.svg'
    }


    set multiplot layout 1,1 columnsfirst margins screen MP_LEFT, MP_RIGHT, MP_BOTTOM, MP_TOP spacing screen MP_xGAP, MP_yGAP
    plot fn u ($20>0?$20:1/0):xtic(1) with histogram notitle
    unset multiplot
}
